# Admin Directory API . domainAliases

## Instance Methods

Deletes a Domain Alias of the customer.

Retrieves a domain alias of the customer.

Inserts a Domain alias of the customer.

Lists the domain aliases of the customer.

### Method Details

`delete(customer, domainAliasName)`

    Deletes a Domain Alias of the customer.

    Args:
      customer: string, Immutable id of the Google Apps account. (required)
      domainAliasName: string, Name of domain alias to be retrieved. (required)

`get(customer, domainAliasName)`

    Retrieves a domain alias of the customer.

    Args:
      customer: string, Immutable id of the Google Apps account. (required)
      domainAliasName: string, Name of domain alias to be retrieved. (required)

    Returns:
      An object of the form:

        { # JSON template for Domain Alias object in Directory API.
          "kind": "admin#directory#domainAlias", # Kind of resource this is.
          "verified": True or False, # Indicates the verification state of a domain alias. (Read-only)
          "creationTime": "A String", # The creation time of the domain alias. (Read-only).
          "etag": "A String", # ETag of the resource.
          "domainAliasName": "A String", # The domain alias name.
          "parentDomainName": "A String", # The parent domain name that the domain alias is associated with. This can either be a primary or secondary domain name within a customer.
        }

`insert(customer, body)`

    Inserts a Domain alias of the customer.

    Args:
      customer: string, Immutable id of the Google Apps account. (required)
      body: object, The request body. (required)
        The object takes the form of:

    { # JSON template for Domain Alias object in Directory API.
        "kind": "admin#directory#domainAlias", # Kind of resource this is.
        "verified": True or False, # Indicates the verification state of a domain alias. (Read-only)
        "creationTime": "A String", # The creation time of the domain alias. (Read-only).
        "etag": "A String", # ETag of the resource.
        "domainAliasName": "A String", # The domain alias name.
        "parentDomainName": "A String", # The parent domain name that the domain alias is associated with. This can either be a primary or secondary domain name within a customer.
      }

    Returns:
      An object of the form:

        { # JSON template for Domain Alias object in Directory API.
          "kind": "admin#directory#domainAlias", # Kind of resource this is.
          "verified": True or False, # Indicates the verification state of a domain alias. (Read-only)
          "creationTime": "A String", # The creation time of the domain alias. (Read-only).
          "etag": "A String", # ETag of the resource.
          "domainAliasName": "A String", # The domain alias name.
          "parentDomainName": "A String", # The parent domain name that the domain alias is associated with. This can either be a primary or secondary domain name within a customer.
        }

`list(customer, parentDomainName=None)`

    Lists the domain aliases of the customer.

    Args:
      customer: string, Immutable id of the Google Apps account. (required)
      parentDomainName: string, Name of the parent domain for which domain aliases are to be fetched.

    Returns:
      An object of the form:

        { # JSON response template to list domain aliases in Directory API.
        "domainAliases": [ # List of domain alias objects.
          { # JSON template for Domain Alias object in Directory API.
              "kind": "admin#directory#domainAlias", # Kind of resource this is.
              "verified": True or False, # Indicates the verification state of a domain alias. (Read-only)
              "creationTime": "A String", # The creation time of the domain alias. (Read-only).
              "etag": "A String", # ETag of the resource.
              "domainAliasName": "A String", # The domain alias name.
              "parentDomainName": "A String", # The parent domain name that the domain alias is associated with. This can either be a primary or secondary domain name within a customer.
            },
        ],
        "kind": "admin#directory#domainAliases", # Kind of resource this is.
        "etag": "A String", # ETag of the resource.
      }